SystemOrganization addCategory: #ConfigurationOfFame!

Object subclass: #ConfigurationOfFame
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfFame'!

!ConfigurationOfFame class methodsFor: 'private' stamp: 'TudorGirba 2/19/2011 09:41'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfFame class methodsFor: 'metacello tool support' stamp: 'TudorGirba 2/19/2011 09:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFame class methodsFor: 'loading' stamp: 'TudorGirba 2/19/2011 09:41'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfFame class methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^self new project! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 17:35'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'First shoot!! Preparing Moose 4.3.4'.
		spec repository: 'http://squeaksource.com/Fame'.
		spec 
			package: 'Fame-Core';
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [
				spec requires: #('Fame-Core' ). ];
			package: 'Fame-SmalltalkBinding' with: [
				spec requires: #('Fame-Core' ). ];
			package: 'Fame-Example';
			package: 'Phexample' with: [
				spec repository: 'http://www.squeaksource.com/phexample'. ];
			package: 'Fame-Tests-Core' with: [
				spec requires: #('Fame-Core' 'Fame-Example' 'Phexample' ). ].
		spec 
			group: 'Core' with: #('Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding' );
			group: 'Tests' with: #('Fame-Tests-Core' ). ].
! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'TudorGirba 12/16/2011 01:09'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Fame'.
		spec 
			package: 'Fame-Core';
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [ spec requires: 'Fame-Core'];
			package: 'Fame-SmalltalkBinding' with: [ spec requires: 'Fame-Core'];
			package: 'Fame-Example';
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame-Tests-Core' with: [ spec requires: #('Fame-Core' 'Fame-Example' 'Phexample')].
		spec group: 'Core' with: #( 'Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding').
		spec group: 'Tests' with: #( 'Fame-Tests-Core').
	]! !

!ConfigurationOfFame methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/19/2011 17:35'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfFame methodsFor: 'scripts' stamp: 'StephaneDucasse 11/16/2012 15:09'!
populateSpec: aSpec with: list
		"this method will create spec object for the package and the version stored in the "

			list do: [:each |
				aSpec package: each third with: [
					aSpec file: (each first  copyUpToLast: $. ).
					aSpec repository: each second ] ]! !

!ConfigurationOfFame methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfFame methodsFor: 'scripts' stamp: 'StephaneDucasse 11/16/2012 15:09'!
script2

	^ #( 
#('Fame-Core-TudorGirba.14.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-Core' ) 
#('Fame-Util-TudorGirba.4.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-Util' ) 
#('Fame-ImportExport-TudorGirba.13.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-ImportExport' ) 
#('Fame-SmalltalkBinding-FabrizioPerin.3.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-SmalltalkBinding' ) 
#('Fame-Example-AndreHora.3.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-Example' ) 
#('Phexample-NikoSchwarz.63.mcz'  'http://www.squeaksource.com/phexample/'  'Phexample' ) 
#('Fame-Tests-Core-TudorGirba.17.mcz'  'http://www.squeaksource.com/Fame/'  'Fame-Tests-Core' ) )
! !

!ConfigurationOfFame methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/19/2011 17:35'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfFame methodsFor: 'versions' stamp: 'AlexandreBergel 2/19/2011 17:35'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/19/2011 17:35'.
		spec 
			package: 'Fame-Core' with: 'Fame-Core-TudorGirba.1';
			package: 'Fame-Util' with: 'Fame-Util-TudorGirba.2';
			package: 'Fame-ImportExport' with: 'Fame-ImportExport-TudorGirba.1';
			package: 'Fame-SmalltalkBinding' with: 'Fame-SmalltalkBinding-TudorGirba.1';
			package: 'Fame-Example' with: 'Fame-Example-TudorGirba.1';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame-Tests-Core' with: 'Fame-Tests-Core-TudorGirba.1'. ].
! !
